#!/usr/bin/python
#
# Connects to refresh database, returns a value from
#

import sqlite3
from pysqlcipher import dbapi2 as sqlcipher
import pragma
import sys

class Dictionary():

  # keeps db connection
  con = None

  def __init__(self, fileName):
    self.fileName = fileName

  def __del__(self):
    self.close()

  def connect(self):
    try:
      self.con = sqlcipher.connect(self.fileName)
      c = self.con.cursor()
      c.execute('PRAGMA key=' + pragma.key)
      c.execute('pragma kdf_iter=64000;');
      return True
    except:
      print "Could not connect to database: " + self.fileName
      return False

  def close(self):
    if self.con:
      self.con.close()

  def dictionaryGet(self, name):
    queryResult = None
    if self.connect():
      try:
        queryResult = self.con.execute("SELECT value FROM dictionary WHERE name='" + name + "'").fetchone()
        queryResult = queryResult[0]
      except sqlite3.Error as e:
        print "An error occurred:", e.args[0]
        queryResult = None
      except:
        queryResult = None
      self.close()
    return queryResult


if __name__ == "__main__":
  setup = Dictionary("/opt/Refresh/Database/refresh_database_enc.db")
  value = setup.dictionaryGet(sys.argv[1])
  print value
