import sys
import os
import pragma

def addIoT(db_enc):
    with open("/tmp/refresh_commands.dat", "w") as f:
        f.write('pragma key=' + pragma.key + '\n')
        #f.write('alter table playlistFiles add column valid_start text default "2016-01-01T00:00:00";\n')
        #f.write('alter table playlistFiles add column valid_end text default "2037-12-31T23:59:59";\n')
        #f.write('alter table playlistFiles add column media_source text default "local";\n')
        #f.write('update playlistFiles set valid_start=0;\n')
        #f.write('update playlistFiles set valid_end=214748364;\n')
        #f.write('update playlistFiles set media_source="local";\n')

        f.write('create table playlistFilesExtInfo(id integer primary key, playlistFile_id integer, valid_start text default "2016-01-01T00:00:00",  valid_end text default "2037-12-31T23:59:59", media_source text default "local", uri text default "");\n')

        f.write('create table playlistStatistics(id integer primary key, uri text, media_source text, first_play integer default 0, last_play integer default 0, play_count default 0, last_error text default "");\n')
        f.close()

        retval = os.system("sqlcipher " + db_enc + " < /tmp/refresh_commands.dat")
        #os.remove("/tmp/refresh_commands.dat")
        return(retval)

if __name__ == "__main__":
    sys.exit(addIoT(sys.argv[1]))

