#!/bin/bash

echo "Resetting Networking"
sudo rm /etc/udev/rules.d/70-persistent-net.rules
sudo udevadm trigger
sudo service udev restart
sudo pppoe-discovery -I eth0 2>/dev/null
sudo pppoe-discovery -I eth1 2>/dev/null
sudo cp manager-settings.conf /etc/wicd
echo "Networking reset"
echo "Rebooting in 5 seconds"
sleep 5
if [ -e ~/noreboot_on_install ]; then
	echo "REBOOT disabled, check network"
else
	sudo reboot
fi
