#!/bin/bash
#
# Michal Augustyniak : michal.augustyniak@cornelius.com
#

help()
{
  print_system_current_version
  
  cat <<EOF
Usage:

sudo corco [OPTION]

    stop				Stop all services
    start				Start all services
    kill				Kill entire system
    restart				Restart
    status				Print status
    version				Print current version
    versions				Print installed versions
    import [file]			Import software from tar.gz file
    validate update [file]              Validate software in tar.gz file
    install [version or number]		Install specific version
    firmware update [filename]		Update firmware
    mem					Print used memory
    help				Print this page
    env					Print environment
    
sudo corco [SERVICE NAME] [OPTION]"

    stop				Stop Service
    start				Start Service
    kill				Kill Service process
    log					Tail logs
    mem					Print used memory
    
sudo corco watchdog	OPTION]		Restart individual service if does not run
    start				Start watching
    stop				Stop watching
    check				Checking and restarting service
    log					Show last logs
    
EOF
}