#!/usr/bin/python

from gi.repository import Gtk
from gi.repository import Gdk
from gi.repository import GObject

class Button(Gtk.Button):
  
  TopLeft = 0
  TopRight = 1
  BottomLeft = 2
  BottomRight = 3
  
  def __init__(self, position):
    Gtk.Button.__init__(self)
    self.set_size_request(100,100)
    #self.set_opacity(0.0)

    if position == Button.TopLeft:
      self.set_halign(Gtk.Align.START)
      self.set_valign(Gtk.Align.START)
      
    elif position == Button.TopRight:
      self.set_halign(Gtk.Align.END)
      self.set_valign(Gtk.Align.START)
    
    elif position == Button.BottomLeft:
      self.set_halign(Gtk.Align.START)
      self.set_valign(Gtk.Align.END)
    
    elif position == Button.BottomRight:
      self.set_halign(Gtk.Align.END)
      self.set_valign(Gtk.Align.END)
    
    
